<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class renders Item Type responses and forms.
 *
 * @package    OSB
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class StaticList_ItemType extends StaticList {
	protected function _table() {
		return array(
			0=>_('Product/Service Charge'),	// Line Charge Topic on Invoice, eg: Service Name
			1=> _('Hardware'),
			2=> _('Service Relocation Fee'),
			3=> _('Service Change Fee'),
			4=> _('Service Connection Fee'),
			5=>_('Excess Usage'),		// Excess Service Item, of item 0
			6=> _('Service Cancellation Fee'),
			125=>_('Payment Fee'),		// Payment processing fee
			126=> _('Rounding'),
			127=> _('Late Payment Fee'),
		);
	}

	public static function get($value) {
		return static::factory()->_get($value);
	}

	public static function index($key) {
		return array_search($key,static::factory()->table());
	}
}
?>
